com.fasterxml.jackson.databind.util

## Class JSONPObject

- java.lang.Object
- - com.fasterxml.jackson.databind.util.JSONPObject

- All Implemented Interfaces:
    JsonSerializable

      public class JSONPObject
      extends Object
      implements JsonSerializable

  Container class that can be used to wrap any Object instances (including nulls), and will serialize embedded in JSONP wrapping.
  See Also:
    `JSONWrappedObject`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.JsonSerializable

      `JsonSerializable.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_function` JSONP function name to use for serialization
    `protected JavaType` | `_serializationType` Optional static type to use for serialization; if null, runtime type is used.
    `protected Object` | `_value` Value to be serialized as JSONP padded; can be null.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONPObject(String function, Object value)`
    `JSONPObject(String function, Object value, JavaType asType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFunction()`
    `JavaType` | `getSerializationType()`
    `Object` | `getValue()`
    `void` | `serialize(JsonGenerator gen, SerializerProvider provider)` Serialization method called when no additional type information is to be included in serialization.
    `void` | `serializeWithType(JsonGenerator gen, SerializerProvider provider, TypeSerializer typeSer)` Serialization method called when additional type information is expected to be included in serialization, for deserialization to use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _function

          protected final String _function

      JSONP function name to use for serialization

    - #### _value

          protected final Object _value

      Value to be serialized as JSONP padded; can be null.

    - #### _serializationType

          protected final JavaType _serializationType

      Optional static type to use for serialization; if null, runtime type is used. Can be used to specify declared type which defines serializer to use, as well as aspects of extra type information to include (if any).

  - ### Constructor Detail

    - #### JSONPObject

          public JSONPObject(String function,
                             Object value)

    - #### JSONPObject

          public JSONPObject(String function,
                             Object value,
                             JavaType asType)

  - ### Method Detail

    - #### serializeWithType

          public void serializeWithType(JsonGenerator gen,
                                        SerializerProvider provider,
                                        TypeSerializer typeSer)
                                 throws IOException

      Description copied from interface: `JsonSerializable`
      Serialization method called when additional type information is expected to be included in serialization, for deserialization to use.

      Usually implementation consists of a call to `TypeSerializer.writeTypePrefix(com.fasterxml.jackson.core.JsonGenerator, com.fasterxml.jackson.core.type.WritableTypeId)` followed by serialization of contents, followed by a call to `TypeSerializer.writeTypeSuffix(com.fasterxml.jackson.core.JsonGenerator, com.fasterxml.jackson.core.type.WritableTypeId)`). Details of the type id argument to pass depend on shape of JSON Object used (Array, Object or scalar like String/Number/Boolean).

      Note that some types (most notably, "natural" types: String, Integer, Double and Boolean) never include type information.

      Specified by:
        `serializeWithType` in interface `JsonSerializable`
      Throws:
        `IOException`

    - #### serialize

          public void serialize(JsonGenerator gen,
                                SerializerProvider provider)
                         throws IOException

      Description copied from interface: `JsonSerializable`
      Serialization method called when no additional type information is to be included in serialization.
      Specified by:
        `serialize` in interface `JsonSerializable`
      Throws:
        `IOException`

    - #### getFunction

          public String getFunction()

    - #### getValue

          public Object getValue()

    - #### getSerializationType

          public JavaType getSerializationType()

Copyright © 2008–2018 FasterXML. All rights reserved.